package bz.bronze.painter;

import java.awt.MouseInfo;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

public class Input {	
	static boolean mouseIsDown;
	
	public static void listen()
	{
		Window.paintArea.addMouseListener(new MouseListener()
				{
					@Override
					public void mouseClicked(MouseEvent e) {
					}

					@Override
					public void mousePressed(MouseEvent e) {
						mouseIsDown = true;
						
					}

					@Override
					public void mouseReleased(MouseEvent e) {
						mouseIsDown = false;
					}

					@Override
					public void mouseEntered(MouseEvent e) {
					}

					@Override
					public void mouseExited(MouseEvent e) {
					}
			
				});
		
		Window.clearButton.addActionListener(new ActionListener()
		{
			@Override
			public void actionPerformed(ActionEvent e) {
				Window.paintArea.repaint();
				Context.bufferedImage.flush();
				
				Log.print("[PAINTER] Cleared!");
				}
			});
		Window.saveButton.addActionListener(new ActionListener()
		{
			@Override
			public void actionPerformed(ActionEvent e) {
				Save.saveImage();
			}
		});
	}
	
	public static int getMouseX()
	{
		int mouseX;
		
		return mouseX = MouseInfo.getPointerInfo().getLocation().x;
	}
	public static int getMouseY()
	{
		int mouseY;
		
		return mouseY = MouseInfo.getPointerInfo().getLocation().y;
	}
}